
/* //////////////////////////////////////////////////// */
/* This file is a part of the BSTools procedure package */
/* written by Przemyslaw Kiciak.                        */
/* //////////////////////////////////////////////////// */

#include <stdio.h> 
#include <stdlib.h>
#include <math.h>
#include <malloc.h>
#include <string.h>    
#include <unistd.h>    
#include <sys/times.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>

#include <GL/gl.h>     
#include <GL/glu.h>
#include <GL/glx.h>

#include "pkvaria.h"   
#include "pkgeom.h"
#include "pknum.h"
#include "multibs.h"
#include "camera.h"
#include "xgledit.h"

#include "light.h"

vector4f ldir[NLIGHTS];

void SetupLights ( void )
{
  GLfloat amb0[4] = { 0.0, 0.0, 0.0, 1.0 };
  GLfloat amb1[4] = { 0.0, 0.0, 0.0, 1.0 };
  GLfloat light0[4] = { 0.3, 0.3, 0.3, 1.0 };
  GLfloat light1[4] = { 0.2, 0.2, 0.2, 1.0 };

  SetVector4f ( &ldir[0], 0.0, 0.0, 1.0, 0.0 );
  glLightfv ( GL_LIGHT0, GL_AMBIENT, amb0 );
  glLightfv ( GL_LIGHT0, GL_DIFFUSE, light0 );
  glLightfv ( GL_LIGHT0, GL_SPECULAR, light0 );
  glLightfv ( GL_LIGHT0, GL_POSITION, &ldir[0].x );
  SetVector4f ( &ldir[1], 0.0, 0.0, 1.0, 0.0 );
  glLightfv ( GL_LIGHT1, GL_AMBIENT, amb1 );
  glLightfv ( GL_LIGHT1, GL_DIFFUSE, light1 );
  glLightfv ( GL_LIGHT1, GL_SPECULAR, light1 );
  glLightfv ( GL_LIGHT1, GL_POSITION, &ldir[1].x );
} /*SetupLights*/

void LightsOn ( CameraRecd *CPos )
{
  glEnable ( GL_LIGHTING );
  glEnable ( GL_LIGHT0 );
  glEnable ( GL_LIGHT1 );
  glLightfv ( GL_LIGHT1, GL_POSITION, &ldir[0].x );
  glEnable ( GL_COLOR_MATERIAL );
} /*LightsOn*/

void LightsOff ( void )
{
  glDisable ( GL_COLOR_MATERIAL );
  glDisable ( GL_LIGHT1 );
  glDisable ( GL_LIGHT0 );
  glDisable ( GL_LIGHTING );
} /*LightsOff*/

void SetupDropShadowTrans ( int light, trans3d *tr )
{
  IdentTrans3d ( tr );
  tr->U0.a33 = 0.0;
  tr->U0.a34 = 0.0002;
  tr->U1.detsgn = 0;
} /*SetupDropShadowTrans*/

