
/* //////////////////////////////////////////////////// */
/* This file is a part of the BSTools procedure package */
/* written by Przemyslaw Kiciak.                        */
/* //////////////////////////////////////////////////// */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <malloc.h>
#include <string.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>

#include <GL/gl.h>
#include <GL/glx.h>

#include "pkgeom.h"
#include "glopt.h"
#include "xgledit.h"

#include "glsimplest.h"

/* ///////////////////////////////////////////////////////////////////////// */
void RysujOkno ( xge_widget *er, boolean onscreen )
{
  xgleClearColor3fv ( xglec_Blue6 );
  glClear ( GL_COLOR_BUFFER_BIT );
#ifdef XGLE_OPENGL_NEW
  glViewport ( 0, 0, er->w, er->h );
  xgle_SetupXGLCoordinates ( er->w, er->h );
  xgle_SetBackground ( xgec_Black, 0 );
  xgle_SetForeground ( xgec_Yellow, 255 );
  xgle_DrawString ( "OpenGL-rendered text using an X font", 10, 20 );

xgle_ExitOnGLError ( "drawing" );
#else
#ifdef XGLE_OPENGL_OLD
  xgl2e_SetIdentMapping ( er );
  glColor3fv ( xglec_Yellow );
  xgl2eDrawString ( "OpenGL-rendered text using an X font", 120, 20 );
#endif
#endif
  glFinish ();
  xgleCopyGLRect ( er->w, er->h, er->x, er->y );
  if ( onscreen )
    xgeCopyRectOnScreen ( er->w, er->h, er->x, er->y );
} /*RysujOkno*/

boolean OknoMsg ( xge_widget *er, int msg, int key, short x, short y )
{
/*  printf ( "%d, %d, %d, %d, %d\n", er->id, msg, key, x, y ); */
  return true;
} /*OknoMsg*/

/* ///////////////////////////////////////////////////////////////////////// */
int CallBack ( xge_widget *er, int msg, int key, short x, short y )
{
  if ( er ) {
/*    printf ( "%d, %d, %d, %d, %d\n", er->id, msg, key, x, y ); */
    switch ( msg ) {
case xgemsg_BUTTON_COMMAND:
      switch ( er->id ) {
  case 0:
        xge_done = 1;
        break;

  default:
        break;
      }
      break;

default:
      break;
    }
  }
  else {
/*    printf ( "%d, %d, %d, %d\n", msg, key, x, y ); */
    switch ( msg ) {
case xgemsg_KEY:
      switch ( key ) {
  case 'Q': case 'q':
        xge_done = 1;
        break;
  default:
        break;
      }
      break;

case xgemsg_RESIZE:
      break;

default:
      break;
    }
  }
  return 0;
} /*CallBack*/

/* ///////////////////////////////////////////////////////////////////////// */
static char b0[] = "Quit";

void init_edwin ( void )
{
  xge_widget *rp, *edr;

  printf ( "Created " );
  if ( !_xgle_ctx_direct )
    printf ( "in" );
  printf ( "direct GLX context for OpenGL %d.%d\n", _xgle_majorgl, _xgle_minorgl );
#ifdef XGLE_OPENGL_NEW
  if ( !xgle_InitPrivateGLObjects () ) {
    printf ( "Error: Could not initialise private GL objects\n" );
    exit ( 1 );
  }
#endif
  rp = xge_NewButton ( 0, NULL, 0, 60, 18, 0, 0, b0 );
  edr = xge_NewMenu ( 0, NULL, 1, 110, xge_HEIGHT, 0, 0, rp );
  edr = xge_NewWidget ( 0, edr, 0, xge_WIDTH-110, xge_HEIGHT, 110, 0,
                        NULL, NULL, OknoMsg, RysujOkno );

  xge_SetWinEdRect ( edr );
  xge_Redraw ();
} /*init_edwin*/

void destroy_edwin ( void )
{
} /*destroy_edwin*/

int main ( int argc, char *argv[] )
{
  if ( !xgle_Init ( argc, argv, CallBack, NULL, MAJOR, MINOR, XGLE_DEPTH_BUFFER, 0 ) )
    exit ( 1 );
  init_edwin ();
  xge_MessageLoop ();
  destroy_edwin ();  
  xgle_Cleanup ();  
  exit ( 0 );
} /*main*/   

