
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2014                                  */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

/* colour definitions for widgets */
#ifndef XGEWDGC_H
#define XGEWDGC_H

/* all widgets */
#define xgec_WIDGET_FRAME          xgec_Grey1
#define xgec_WIDGET_FOREGROUND     xgec_White

/* menus */
#define xgec_MENU_DARKBKG          xgec_Grey6
#define xgec_MENU_BACKGROUND       xgec_Grey5

/* info/error/warning popup boxes */
#define xgec_INFOMSG_BACKGROUND    xgec_Grey4
#define xgec_ERRORMSG_BACKGROUND   xgec_Red
#define xgec_WARNINGMSG_BACKGROUND xgec_DarkMagenta

/* buttons */
#define xgec_BUTTON_DEFAULT_A      xgec_Red3
#define xgec_BUTTON_DEFAULT_B      xgec_Red5
#define xgec_BUTTON_COMBO_0A       xgec_Green3
#define xgec_BUTTON_COMBO_0B       xgec_Green5
#define xgec_BUTTON_COMBO_1A       xgec_Green5
#define xgec_BUTTON_COMBO_1B       xgec_Green7
#define xgec_BUTTON_INACTIVE_A     xgec_Grey3
#define xgec_BUTTON_INACTIVE_B     xgec_Grey5

/* switches */
#define xgec_SWITCH_A              xgec_Blue5
#define xgec_SWITCH_B              xgec_Blue3
#define xgec_SWITCH_INACTIVE_A     xgec_Grey5
#define xgec_SWITCH_INACTIVE_B     xgec_Grey3

/* slidebars */
#define xgec_SLIDEBAR_A            xgec_Blue7
#define xgec_SLIDEBAR_B            xgec_Blue4
#define xgec_SLIDEBAR_C            xgec_Blue3
#define xgec_SLIDEBAR_D            xgec_Blue5

/* scroll bars */
#define xgec_SCROLLBAR_A           xgec_Blue7
#define xgec_SCROLLBAR_B           xgec_Blue4
#define xgec_SCROLLBAR_C           xgec_Blue3
#define xgec_SCROLLBAR_D           xgec_Blue5

/* dials */
#define xgec_DIAL_A                xgec_Blue6
#define xgec_DIAL_B                xgec_Blue3

/* int widgets */
#define xgec_INTWIDGET_A           xgec_Green3
#define xgec_INTWIDGET_B           xgec_Green5
#define xgec_INTWIDGET_C           xgec_Green5
#define xgec_INTWIDGET_D           xgec_Green7

/* text editors */
#define xgec_TEXT_EDITOR_A         xgec_Blue6
#define xgec_TEXT_EDITOR_B         xgec_Blue3
#define xgec_TEXT_EDITOR_C         xgec_DodgerBlue

/* scroll widgets */
#define xgec_SCROLLWIDGET_A        xgec_MENU_BACKGROUND
#define xgec_SCROLLWIDGET_B        xgec_Grey2

/* list boxes */
#define xgec_LISTBOX_BK            xgec_Grey6
#define xgec_LISTBOX_BK0           xgec_Chocolate4
#define xgec_LISTBOX_BK1           xgec_DarkOrange2

/* quaternion balls */
#define xgec_QUATROTBALL_A         xgec_Blue6
#define xgec_QUATROTBALL_B         xgec_Blue3
#define xgec_QUATROTBALL_C         xgec_Black
#define xgec_QUATROTBALL_D         xgec_White
#define xgec_QUATROTBALL_E         xgec_Grey2
#define xgec_QUATROTBALL_F         xgec_Grey3

/* split window background */
#define xgec_SPLIT_WIN_BK          xgec_Black

/* geometry editing windows */
#define xgec_GEOM_WIN_WIDGET       xgec_Cyan
#define xgec_GEOM_WIN_CURSORPOS_A  xgec_Green
#define xgec_GEOM_WIN_CURSORPOS_B  xgec_Green5
#define xgec_GEOM_WIN_BACK_A       xgec_Blue7
#define xgec_GEOM_WIN_BACK_B       xgec_Blue6
#define xgec_GEOM_WIN_FRAME        xgec_DodgerBlue
#define xgec_GEOM_WIN_SEL_A        xgec_OrangeRed
#define xgec_GEOM_WIN_SEL_B        xgec_Yellow

/* spline knot windows */
#define xgec_KNOT_WIN_CURSORPOS_A  xgec_Green
#define xgec_KNOT_WIN_CURSORPOS_B  xgec_Green5
#define xgec_KNOT_WIN_AXIS         xgec_Green
#define xgec_KNOT_WIN_KNOT         xgec_White

#endif
