
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2014, 2017                            */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <malloc.h>
#include <string.h>
#include <ctype.h>

#include "pkvaria.h"
#include "pknum.h"
#include "pkgeom.h"
#include "camerad.h"
#include "multibs.h"
#include "pkscanner.h"
#include "bsfile.h"

#include "bsfprivate.h"

boolean bsf_WriteColour ( bsf_Writer *writer, point3d *colour )
{
  BSFwci
        /* the keyword we write is in the British spelling */
  writer->current_length += fprintf ( writer->output,
          "%s { ", bsf_keyword[BSF_KEY_COLOUR] );
  bsf_WriteAltDoubleNumber ( writer, colour->x, 3 );
  writer->current_length += fprintf ( writer->output, ", " );
  bsf_WriteAltDoubleNumber ( writer, colour->y, 3 );
  writer->current_length += fprintf ( writer->output, ", " );
  bsf_WriteAltDoubleNumber ( writer, colour->z, 3 );
  writer->current_length += fprintf ( writer->output, " }" );
  BSFeol
  return true;
} /*bsf_WriteColour*/

