
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2017                                  */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

#include <string.h>

#include "pkvaria.h"

/* /////////////////////////////////////////// */
/* computing integer powers of a real numbers  */

int pkv_ipower ( int x, unsigned int e )
{
  int z;

  if ( e > 0 ) {
    z = 1;
    for ( ; ; ) {
      if ( e & 0x1 )
        z *= x;
      e = e >> 1;
      if ( !e )
        return z;
      x *= x;
    }
  }
  else
    return 1;
} /*pkv_ipower*/

