
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2015                                  */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

#include <math.h>
#include <string.h>

#include "pkvaria.h"

/* this procedure exchanges the first roll elements of an n-element array */
/* with the last n-roll elements */
boolean pkv_RollArray ( void *x, int elemsize, int n, int roll )
{
  void *sp;
  int  sizea, sizeb;

  roll %= n;
  if ( !roll )
    return true;
  if ( !(sp = pkv_GetScratchMem ( n*elemsize )) )
    return false;
  sizea = roll*elemsize;
  sizeb = (n-roll)*elemsize;
  memcpy ( (char*)sp, &((char*)x)[sizea], sizeb );
  memcpy ( &((char*)sp)[sizeb], x, sizea );
  memcpy ( (char*)x, (char*)sp, sizea+sizeb );
  pkv_SetScratchMemTop ( sp );
  return true;
} /*pkv_RollArray*/

