
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2013, 2015                            */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

#define RBEZ_NEWTON_YES   0
#define RBEZ_NEWTON_NO    1
#define RBEZ_NEWTON_ERROR 2

BezPatchTreeVertexfp
  _rbez_AllocBezTreeVertexf ( BezPatchTreefp tree,
                              BezPatchTreeVertexfp up,
                              float u0, float u1, float v0, float v1,
                              boolean spline );
void _rbez_BezPatchGetMaxDerf ( int n, int m, int pitch, point3f* cp,
                                float *du, float *dv );
void _rbez_BezPatchGetDivDirf ( unsigned char n, unsigned int lknu,
                                unsigned char m, unsigned int lknv,
                                unsigned int pitch, point3f *ctlpoints,
                                unsigned char *divdir, float *maxdl );

RBezPatchTreeVertexfp
  _rbez_AllocRBezTreeVertexf ( RBezPatchTreefp tree,
                               RBezPatchTreeVertexfp up,
                               float u0, float u1, float v0, float v1,
                               boolean spline );
void _rbez_RBezPatchGetMaxDerf ( int n, int m, int pitch, point4f* cp,
                                 float *du, float *dv );
void _rbez_RBezPatchGetDivDirf ( unsigned char n, unsigned int lknu,
                                 unsigned char m, unsigned int lknv,
                                 unsigned int pitch, point4f *ctlpoints,
                                 unsigned char *divdir, float *maxdl );

boolean _rbez_ConvexHullTest1f ( int n, float *ff );
boolean _rbez_UniquenessTest1f ( int n, float *ff );
boolean _rbez_NewtonMethod1f ( int n, float *ff, float *z );

boolean _rbez_SubdividePatch2f ( int n, int m, point2f *p, point2f *q );
boolean _rbez_ConvexHullTest2f ( int ncp, point2f *mcp );
boolean _rbez_UniquenessTest2f ( int n, int m, int ncp, point2f *mcp,
                                 point2f *p, vector2f *du, vector2f *dv,
                                 float *K1, float *K2,
                                 float *workspace );
char _rbez_NewtonMethod2f ( int n, int m, point2f *mcp,
                            point2f *p, vector2f *pu, vector2f *pv,
                            point2f *z, float *workspace );
boolean _rbez_SecondTest2f ( point2f *z, int n, int m, float K1, float K2 );

