
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2007, 2008                            */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

/* this file is #included by xgergb.c and xglergb.c, and not compiled separately */

static unsigned char rgb_palette[][4] =
  {{240,248,255},  /*   0, AliceBlue */
   {250,235,215},  /*   1, AntiqueWhite */
   {255,239,219},  /*   2, AntiqueWhite1 */
   {238,223,204},  /*   3, AntiqueWhite2 */
   {205,192,176},  /*   4, AntiqueWhite3 */
   {139,131,120},  /*   5, AntiqueWhite4 */
   {127,255,212},  /*   6, Aquamarine */
   {127,255,212},  /*   7, Aquamarine1 */
   {118,238,198},  /*   8, Aquamarine2 */
   {102,205,170},  /*   9, Aquamarine3 */
   {69,139,116},   /*  10, Aquamarine4 */
   {240,255,255},  /*  11, Azure */
   {240,255,255},  /*  12, Azure1 */
   {224,238,238},  /*  13, Azure2 */
   {193,205,205},  /*  14, Azure3 */
   {131,139,139},  /*  15, Azure4 */
   {245,245,220},  /*  16, Beige */
   {255,228,196},  /*  17, Bisque */
   {255,228,196},  /*  18, Bisque1 */
   {238,213,183},  /*  19, Bisque2 */
   {205,183,158},  /*  20, Bisque3 */
   {139,125,107},  /*  21, Bisque4 */
   {0,0,0},        /*  22, Black */
   {255,235,205},  /*  23, BlanchedAlmond */
   {0,0,255},      /*  24, Blue */
   {0,0,255},      /*  25, Blue1 */
   {0,0,238},      /*  26, Blue2 */
   {0,0,205},      /*  27, Blue3 */
   {0,0,139},      /*  28, Blue4 */
   {0,0,111},      /*  29, Blue5 */
   {0,0,83},       /*  30, Blue6 */
   {0,0,55},       /*  31, Blue7 */
   {138,43,226},   /*  32, BlueViolet */
   {165,42,42},    /*  33, Brown */
   {255,64,64},    /*  34, Brown1 */
   {238,59,59},    /*  35, Brown2 */
   {205,51,51},    /*  36, Brown3 */
   {139,35,35},    /*  37, Brown4 */
   {222,184,135},  /*  38, Burlywood */
   {255,211,155},  /*  39, Burlywood1 */
   {238,197,145},  /*  40, Burlywood2 */
   {205,170,125},  /*  41, Burlywood3 */
   {139,115,85},   /*  42, Burlywood4 */
   {95,158,160},   /*  43, CadetBlue */
   {152,245,255},  /*  44, CadetBlue1 */
   {142,229,238},  /*  45, CadetBlue2 */
   {122,197,205},  /*  46, CadetBlue3 */
   {83,134,139},   /*  47, CadetBlue4 */
   {127,255,0},    /*  48, Chartreuse */
   {127,255,0},    /*  49, Chartreuse1 */
   {118,238,0},    /*  50, Chartreuse2 */
   {102,205,0},    /*  51, Chartreuse3 */
   {69,139,0},     /*  52, Chartreuse4 */
   {210,105,30},   /*  53, Chocolate */
   {255,127,36},   /*  54, Chocolate1 */
   {238,118,33},   /*  55, Chocolate2 */
   {205,102,29},   /*  56, Chocolate3 */
   {139,69,19},    /*  57, Chocolate4 */
   {255,127,80},   /*  58, Coral */
   {255,114,86},   /*  59, Coral1 */
   {238,106,80},   /*  60, Coral2 */
   {205,91,69},    /*  61, Coral3 */
   {139,62,47},    /*  62, Coral4 */
   {100,149,237},  /*  63, CornflowerBlue */
   {255,248,220},  /*  64, Cornsilk */
   {255,248,220},  /*  65, Cornsilk1 */
   {238,232,205},  /*  66, Cornsilk2 */
   {205,200,177},  /*  67, Cornsilk3 */
   {139,136,120},  /*  68, Cornsilk4 */
   {0,255,255},    /*  69, Cyan */
   {0,255,255},    /*  70, Cyan1 */
   {0,238,238},    /*  71, Cyan2 */
   {0,205,205},    /*  72, Cyan3 */
   {0,139,139},    /*  73, Cyan4 */
   {0,0,139},      /*  74, DarkBlue */
   {0,139,139},    /*  75, DarkCyan */
   {184,134,11},   /*  76, DarkGoldenrod */
   {255,185,15},   /*  77, DarkGoldenrod1 */
   {238,173,14},   /*  78, DarkGoldenrod2 */
   {205,149,12},   /*  79, DarkGoldenrod3 */
   {139,101,8},    /*  80, DarkGoldenrod4 */
   {0,100,0},      /*  81, DarkGreen */
   {135,135,135},  /*  82, DarkGrey */
   {189,183,107},  /*  83, DarkKhaki */
   {139,0,139},    /*  84, DarkMagenta */
   {85,107,47},    /*  85, DarkOliveGreen */
   {202,255,112},  /*  86, DarkOliveGreen1 */
   {188,238,104},  /*  87, DarkOliveGreen2 */
   {162,205,90},   /*  88, DarkOliveGreen3 */
   {110,139,61},   /*  89, DarkOliveGreen4 */
   {255,140,0},    /*  90, DarkOrange */
   {255,127,0},    /*  91, DarkOrange1 */
   {238,118,0},    /*  92, DarkOrange2 */
   {205,102,0},    /*  93, DarkOrange3 */
   {139,69,0},     /*  94, DarkOrange4 */
   {153,50,204},   /*  95, DarkOrchid */
   {191,62,255},   /*  96, DarkOrchid1 */
   {178,58,238},   /*  97, DarkOrchid2 */
   {154,50,205},   /*  98, DarkOrchid3 */
   {104,34,139},   /*  99, DarkOrchid4 */
   {139,0,0},      /* 100, DarkRed */
   {233,150,122},  /* 101, DarkSalmon */
   {143,188,143},  /* 102, DarkSeaGreen */
   {193,255,193},  /* 103, DarkSeaGreen1 */
   {180,238,180},  /* 104, DarkSeaGreen2 */
   {155,205,155},  /* 105, DarkSeaGreen3 */
   {105,139,105},  /* 106, DarkSeaGreen4 */
   {72,61,139},    /* 107, DarkSlateBlue */
   {47,79,79},     /* 108, DarkSlateGrey */
   {151,255,255},  /* 109, DarkSlateGrey1 */
   {141,238,238},  /* 110, DarkSlateGrey2 */
   {121,205,205},  /* 111, DarkSlateGrey3 */
   {82,139,139},   /* 112, DarkSlateGrey4 */
   {0,206,209},    /* 113, DarkTurquoise */
   {148,0,211},    /* 114, DarkViolet */
   {255,20,147},   /* 115, DeepPink */
   {255,20,147},   /* 116, DeepPink1 */
   {238,18,137},   /* 117, DeepPink2 */
   {205,16,118},   /* 118, DeepPink3 */
   {139,10,80},    /* 119, DeepPink4 */
   {0,191,255},    /* 120, DeepSkyBlue */
   {0,191,255},    /* 121, DeepSkyBlue1 */
   {0,178,238},    /* 122, DeepSkyBlue2 */
   {0,154,205},    /* 123, DeepSkyBlue3 */
   {0,104,139},    /* 124, DeepSkyBlue4 */
   {105,105,105},  /* 125, DimGrey */
   {30,144,255},   /* 126, DodgerBlue */
   {30,144,255},   /* 127, DodgerBlue1 */
   {28,134,238},   /* 128, DodgerBlue2 */
   {24,116,205},   /* 129, DodgerBlue3 */
   {16,78,139},    /* 130, DodgerBlue4 */
   {178,34,34},    /* 131, Firebrick */
   {255,48,48},    /* 132, Firebrick1 */
   {238,44,44},    /* 133, Firebrick2 */
   {205,38,38},    /* 134, Firebrick3 */
   {139,26,26},    /* 135, Firebrick4 */
   {255,250,240},  /* 136, FloralWhite */
   {34,139,34},    /* 137, ForestGreen */
   {220,220,220},  /* 138, Gainsboro */
   {248,248,255},  /* 139, GhostWhite */
   {255,215,0},    /* 140, Gold */
   {255,215,0},    /* 141, Gold1 */
   {238,201,0},    /* 142, Gold2 */
   {205,173,0},    /* 143, Gold3 */
   {139,117,0},    /* 144, Gold4 */
   {218,165,32},   /* 145, Goldenrod */
   {255,193,37},   /* 146, Goldenrod1 */
   {238,180,34},   /* 147, Goldenrod2 */
   {205,155,29},   /* 148, Goldenrod3 */
   {139,105,20},   /* 149, Goldenrod4 */
   {0,255,0},      /* 150, Green */
   {0,255,0},      /* 151, Green1 */
   {0,238,0},      /* 152, Green2 */
   {0,205,0},      /* 153, Green3 */
   {0,139,0},      /* 154, Green4 */
   {0,111,0},      /* 155, Green5 */
   {0,83,0},       /* 156, Green6 */
   {0,55,0},       /* 157, Green7 */
   {173,255,47},   /* 158, GreenYellow */
   {190,190,190},  /* 159, Grey */
   {190,190,190},  /* 160, Grey1 */
   {169,169,169},  /* 161, Grey2 */
   {135,135,135},  /* 162, Grey3 */
   {101,101,101},  /* 163, Grey4 */
   {67,67,67},     /* 164, Grey5 */
   {44,44,44},     /* 165, Grey6 */
   {22,22,22},     /* 166, Grey7 */
   {240,255,240},  /* 167, Honeydew */
   {240,255,240},  /* 168, Honeydew1 */
   {224,238,224},  /* 169, Honeydew2 */
   {193,205,193},  /* 170, Honeydew3 */
   {131,139,131},  /* 171, Honeydew4 */
   {255,105,180},  /* 172, HotPink */
   {255,110,180},  /* 173, HotPink1 */
   {238,106,167},  /* 174, HotPink2 */
   {205,96,144},   /* 175, HotPink3 */
   {139,58,98},    /* 176, HotPink4 */
   {205,92,92},    /* 177, IndianRed */
   {255,106,106},  /* 178, IndianRed1 */
   {238,99,99},    /* 179, IndianRed2 */
   {205,85,85},    /* 180, IndianRed3 */
   {139,58,58},    /* 181, IndianRed4 */
   {255,255,240},  /* 182, Ivory */
   {255,255,240},  /* 183, Ivory1 */
   {238,238,224},  /* 184, Ivory2 */
   {205,205,193},  /* 185, Ivory3 */
   {139,139,131},  /* 186, Ivory4 */
   {240,230,140},  /* 187, Khaki */
   {255,246,143},  /* 188, Khaki1 */
   {238,230,133},  /* 189, Khaki2 */
   {205,198,115},  /* 190, Khaki3 */
   {139,134,78},   /* 191, Khaki4 */
   {230,230,250},  /* 192, Lavender */
   {255,240,245},  /* 193, LavenderBlush */
   {255,240,245},  /* 194, LavenderBlush1 */
   {238,224,229},  /* 195, LavenderBlush2 */
   {205,193,197},  /* 196, LavenderBlush3 */
   {139,131,134},  /* 197, LavenderBlush4 */
   {124,252,0},    /* 198, LawnGreen */
   {255,250,205},  /* 199, LemonChiffon */
   {255,250,205},  /* 200, LemonChiffon1 */
   {238,233,191},  /* 201, LemonChiffon2 */
   {205,201,165},  /* 202, LemonChiffon3 */
   {139,137,112},  /* 203, LemonChiffon4 */
   {173,216,230},  /* 204, LightBlue */
   {191,239,255},  /* 205, LightBlue1 */
   {178,223,238},  /* 206, LightBlue2 */
   {154,192,205},  /* 207, LightBlue3 */
   {104,131,139},  /* 208, LightBlue4 */
   {240,128,128},  /* 209, LightCoral */
   {224,255,255},  /* 210, LightCyan */
   {224,255,255},  /* 211, LightCyan1 */
   {209,238,238},  /* 212, LightCyan2 */
   {180,205,205},  /* 213, LightCyan3 */
   {122,139,139},  /* 214, LightCyan4 */
   {238,221,130},  /* 215, LightGoldenrod */
   {255,236,139},  /* 216, LightGoldenrod1 */
   {238,220,130},  /* 217, LightGoldenrod2 */
   {205,190,112},  /* 218, LightGoldenrod3 */
   {139,129,76},   /* 219, LightGoldenrod4 */
   {250,250,210},  /* 220, LightGoldenrodYellow */
   {144,238,144},  /* 221, LightGreen */
   {211,211,211},  /* 222, LightGrey */
   {255,182,193},  /* 223, LightPink */
   {255,174,185},  /* 224, LightPink1 */
   {238,162,173},  /* 225, LightPink2 */
   {205,140,149},  /* 226, LightPink3 */
   {139,95,101},   /* 227, LightPink4 */
   {255,160,122},  /* 228, LightSalmon */
   {255,160,122},  /* 229, LightSalmon1 */
   {238,149,114},  /* 230, LightSalmon2 */
   {205,129,98},   /* 231, LightSalmon3 */
   {139,87,66},    /* 232, LightSalmon4 */
   {32,178,170},   /* 233, LightSeaGreen */
   {135,206,250},  /* 234, LightSkyBlue */
   {176,226,255},  /* 235, LightSkyBlue1 */
   {164,211,238},  /* 236, LightSkyBlue2 */
   {141,182,205},  /* 237, LightSkyBlue3 */
   {96,123,139},   /* 238, LightSkyBlue4 */
   {132,112,255},  /* 239, LightSlateBlue */
   {119,136,153},  /* 240, LightSlateGrey */
   {176,196,222},  /* 241, LightSteelBlue */
   {202,225,255},  /* 242, LightSteelBlue1 */
   {188,210,238},  /* 243, LightSteelBlue2 */
   {162,181,205},  /* 244, LightSteelBlue3 */
   {110,123,139},  /* 245, LightSteelBlue4 */
   {255,255,224},  /* 246, LightYellow */
   {255,255,224},  /* 247, LightYellow1 */
   {238,238,209},  /* 248, LightYellow2 */
   {205,205,180},  /* 249, LightYellow3 */
   {139,139,122},  /* 250, LightYellow4 */
   {50,205,50},    /* 251, LimeGreen */
   {250,240,230},  /* 252, Linen */
   {255,0,255},    /* 253, Magenta */
   {255,0,255},    /* 254, Magenta1 */
   {238,0,238},    /* 255, Magenta2 */
   {205,0,205},    /* 256, Magenta3 */
   {139,0,139},    /* 257, Magenta4 */
   {176,48,96},    /* 258, Maroon */
   {255,52,179},   /* 259, Maroon1 */
   {238,48,167},   /* 260, Maroon2 */
   {205,41,144},   /* 261, Maroon3 */
   {139,28,98},    /* 262, Maroon4 */
   {102,205,170},  /* 263, MediumAquamarine */
   {0,0,205},      /* 264, MediumBlue */
   {186,85,211},   /* 265, MediumOrchid */
   {224,102,255},  /* 266, MediumOrchid1 */
   {209,95,238},   /* 267, MediumOrchid2 */
   {180,82,205},   /* 268, MediumOrchid3 */
   {122,55,139},   /* 269, MediumOrchid4 */
   {147,112,219},  /* 270, MediumPurple */
   {171,130,255},  /* 271, MediumPurple1 */
   {159,121,238},  /* 272, MediumPurple2 */
   {137,104,205},  /* 273, MediumPurple3 */
   {93,71,139},    /* 274, MediumPurple4 */
   {60,179,113},   /* 275, MediumSeaGreen */
   {123,104,238},  /* 276, MediumSlateBlue */
   {0,250,154},    /* 277, MediumSpringGreen */
   {72,209,204},   /* 278, MediumTurquoise */
   {199,21,133},   /* 279, MediumVioletRed */
   {25,25,112},    /* 280, MidnightBlue */
   {245,255,250},  /* 281, MintCream */
   {255,228,225},  /* 282, MistyRose */
   {255,228,225},  /* 283, MistyRose1 */
   {238,213,210},  /* 284, MistyRose2 */
   {205,183,181},  /* 285, MistyRose3 */
   {139,125,123},  /* 286, MistyRose4 */
   {255,228,181},  /* 287, Moccasin */
   {255,222,173},  /* 288, NavajoWhite */
   {255,222,173},  /* 289, NavajoWhite1 */
   {238,207,161},  /* 290, NavajoWhite2 */
   {205,179,139},  /* 291, NavajoWhite3 */
   {139,121,94},   /* 292, NavajoWhite4 */
   {0,0,128},      /* 293, NavyBlue */
   {253,245,230},  /* 294, OldLace */
   {107,142,35},   /* 295, OliveDrab */
   {192,255,62},   /* 296, OliveDrab1 */
   {179,238,58},   /* 297, OliveDrab2 */
   {154,205,50},   /* 298, OliveDrab3 */
   {105,139,34},   /* 299, OliveDrab4 */
   {255,165,0},    /* 300, Orange */
   {255,165,0},    /* 301, Orange1 */
   {238,154,0},    /* 302, Orange2 */
   {205,133,0},    /* 303, Orange3 */
   {139,90,0},     /* 304, Orange4 */
   {255,69,0},     /* 305, OrangeRed */
   {255,69,0},     /* 306, OrangeRed1 */
   {238,64,0},     /* 307, OrangeRed2 */
   {205,55,0},     /* 308, OrangeRed3 */
   {139,37,0},     /* 309, OrangeRed4 */
   {218,112,214},  /* 310, Orchid */
   {255,131,250},  /* 311, Orchid1 */
   {238,122,233},  /* 312, Orchid2 */
   {205,105,201},  /* 313, Orchid3 */
   {139,71,137},   /* 314, Orchid4 */
   {238,232,170},  /* 315, PaleGoldenrod */
   {152,251,152},  /* 316, PaleGreen */
   {154,255,154},  /* 317, PaleGreen1 */
   {144,238,144},  /* 318, PaleGreen2 */
   {124,205,124},  /* 319, PaleGreen3 */
   {84,139,84},    /* 320, PaleGreen4 */
   {175,238,238},  /* 321, PaleTurquoise */
   {187,255,255},  /* 322, PaleTurquoise1 */
   {174,238,238},  /* 323, PaleTurquoise2 */
   {150,205,205},  /* 324, PaleTurquoise3 */
   {102,139,139},  /* 325, PaleTurquoise4 */
   {219,112,147},  /* 326, PaleVioletRed */
   {255,130,171},  /* 327, PaleVioletRed1 */
   {238,121,159},  /* 328, PaleVioletRed2 */
   {205,104,137},  /* 329, PaleVioletRed3 */
   {139,71,93},    /* 330, PaleVioletRed4 */
   {255,239,213},  /* 331, PapayaWhip */
   {255,218,185},  /* 332, PeachPuff */
   {255,218,185},  /* 333, PeachPuff1 */
   {238,203,173},  /* 334, PeachPuff2 */
   {205,175,149},  /* 335, PeachPuff3 */
   {139,119,101},  /* 336, PeachPuff4 */
   {205,133,63},   /* 337, Peru */
   {255,192,203},  /* 338, Pink */
   {255,181,197},  /* 339, Pink1 */
   {238,169,184},  /* 340, Pink2 */
   {205,145,158},  /* 341, Pink3 */
   {139,99,108},   /* 342, Pink4 */
   {221,160,221},  /* 343, Plum */
   {255,187,255},  /* 344, Plum1 */
   {238,174,238},  /* 345, Plum2 */
   {205,150,205},  /* 346, Plum3 */
   {139,102,139},  /* 347, Plum4 */
   {176,224,230},  /* 348, PowderBlue */
   {160,32,240},   /* 349, Purple */
   {155,48,255},   /* 350, Purple1 */
   {145,44,238},   /* 351, Purple2 */
   {125,38,205},   /* 352, Purple3 */
   {85,26,139},    /* 353, Purple4 */
   {255,0,0},      /* 354, Red */
   {255,0,0},      /* 355, Red1 */
   {238,0,0},      /* 356, Red2 */
   {205,0,0},      /* 357, Red3 */
   {139,0,0},      /* 358, Red4 */
   {111,0,0},      /* 359, Red5 */
   {83,0,0},       /* 360, Red6 */
   {55,0,0},       /* 361, Red7 */
   {188,143,143},  /* 362, RosyBrown */
   {255,193,193},  /* 363, RosyBrown1 */
   {238,180,180},  /* 364, RosyBrown2 */
   {205,155,155},  /* 365, RosyBrown3 */
   {139,105,105},  /* 366, RosyBrown4 */
   {65,105,225},   /* 367, RoyalBlue */
   {72,118,255},   /* 368, RoyalBlue1 */
   {67,110,238},   /* 369, RoyalBlue2 */
   {58,95,205},    /* 370, RoyalBlue3 */
   {39,64,139},    /* 371, RoyalBlue4 */
   {139,69,19},    /* 372, SaddleBrown */
   {250,128,114},  /* 373, Salmon */
   {255,140,105},  /* 374, Salmon1 */
   {238,130,98},   /* 375, Salmon2 */
   {205,112,84},   /* 376, Salmon3 */
   {139,76,57},    /* 377, Salmon4 */
   {244,164,96},   /* 378, SandyBrown */
   {46,139,87},    /* 379, SeaGreen */
   {84,255,159},   /* 380, SeaGreen1 */
   {78,238,148},   /* 381, SeaGreen2 */
   {67,205,128},   /* 382, SeaGreen3 */
   {46,139,87},    /* 383, SeaGreen4 */
   {255,245,238},  /* 384, Seashell */
   {255,245,238},  /* 385, Seashell1 */
   {238,229,222},  /* 386, Seashell2 */
   {205,197,191},  /* 387, Seashell3 */
   {139,134,130},  /* 388, Seashell4 */
   {160,82,45},    /* 389, Sienna */
   {255,130,71},   /* 390, Sienna1 */
   {238,121,66},   /* 391, Sienna2 */
   {205,104,57},   /* 392, Sienna3 */
   {139,71,38},    /* 393, Sienna4 */
   {135,206,235},  /* 394, SkyBlue */
   {135,206,255},  /* 395, SkyBlue1 */
   {126,192,238},  /* 396, SkyBlue2 */
   {108,166,205},  /* 397, SkyBlue3 */
   {74,112,139},   /* 398, SkyBlue4 */
   {106,90,205},   /* 399, SlateBlue */
   {131,111,255},  /* 400, SlateBlue1 */
   {122,103,238},  /* 401, SlateBlue2 */
   {105,89,205},   /* 402, SlateBlue3 */
   {71,60,139},    /* 403, SlateBlue4 */
   {112,128,144},  /* 404, SlateGrey */
   {198,226,255},  /* 405, SlateGrey1 */
   {185,211,238},  /* 406, SlateGrey2 */
   {159,182,205},  /* 407, SlateGrey3 */
   {108,123,139},  /* 408, SlateGrey4 */
   {255,250,250},  /* 409, Snow */
   {255,250,250},  /* 410, Snow1 */
   {238,233,233},  /* 411, Snow2 */
   {205,201,201},  /* 412, Snow3 */
   {139,137,137},  /* 413, Snow4 */
   {0,255,127},    /* 414, SpringGreen */
   {0,255,127},    /* 415, SpringGreen1 */
   {0,238,118},    /* 416, SpringGreen2 */
   {0,205,102},    /* 417, SpringGreen3 */
   {0,139,69},     /* 418, SpringGreen4 */
   {70,130,180},   /* 419, SteelBlue */
   {99,184,255},   /* 420, SteelBlue1 */
   {92,172,238},   /* 421, SteelBlue2 */
   {79,148,205},   /* 422, SteelBlue3 */
   {54,100,139},   /* 423, SteelBlue4 */
   {210,180,140},  /* 424, Tan */
   {255,165,79},   /* 425, Tan1 */
   {238,154,73},   /* 426, Tan2 */
   {205,133,63},   /* 427, Tan3 */
   {139,90,43},    /* 428, Tan4 */
   {216,191,216},  /* 429, Thistle */
   {255,225,255},  /* 430, Thistle1 */
   {238,210,238},  /* 431, Thistle2 */
   {205,181,205},  /* 432, Thistle3 */
   {139,123,139},  /* 433, Thistle4 */
   {255,99,71},    /* 434, Tomato */
   {255,99,71},    /* 435, Tomato1 */
   {238,92,66},    /* 436, Tomato2 */
   {205,79,57},    /* 437, Tomato3 */
   {139,54,38},    /* 438, Tomato4 */
   {64,224,208},   /* 439, Turquoise */
   {0,245,255},    /* 440, Turquoise1 */
   {0,229,238},    /* 441, Turquoise2 */
   {0,197,205},    /* 442, Turquoise3 */
   {0,134,139},    /* 443, Turquoise4 */
   {238,130,238},  /* 444, Violet */
   {208,32,144},   /* 445, VioletRed */
   {255,62,150},   /* 446, VioletRed1 */
   {238,58,140},   /* 447, VioletRed2 */
   {205,50,120},   /* 448, VioletRed3 */
   {139,34,82},    /* 449, VioletRed4 */
   {245,222,179},  /* 450, Wheat */
   {255,231,186},  /* 451, Wheat1 */
   {238,216,174},  /* 452, Wheat2 */
   {205,186,150},  /* 453, Wheat3 */
   {139,126,102},  /* 454, Wheat4 */
   {255,255,255},  /* 455, White */
   {245,245,245},  /* 456, WhiteSmoke */
   {255,255,0},    /* 457, Yellow */
   {255,255,0},    /* 458, Yellow1 */
   {238,238,0},    /* 459, Yellow2 */
   {205,205,0},    /* 460, Yellow3 */
   {139,139,0},    /* 461, Yellow4 */
   {154,205,50}};  /* 462, YellowGreen */

