
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2017                                  */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <malloc.h>
#include <string.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/cursorfont.h>

#include <GL/gl.h>
#include <GL/glx.h>

#include "pkvaria.h"
#include "pknum.h"
#include "pkgeom.h"
#include "camera.h"

#include "xgedit.h"
#define XGLE_OPENGL_NEW
#include "xgledit.h"
#include "xgeprivate.h"


void xgle_2DwindDrawCursorPos ( xge_2Dwind *_2Dwin, short x, short y )
{
  xge_widget *er;
  char       s[10];
  point2d    p, q;
  int        xx;

  if ( _2Dwin->display_coord ) {
    er = _2Dwin->er;
    xgle_SetupXGLCoordinates ( er->w, er->h );
    SetPoint2d ( &p, x, y );
    CameraUnProjectPoint2d ( &_2Dwin->CPos, &p, &q );
    x -= er->x;  y -= er->y;
    xgle_SetForeground ( xgec_Green5, 255 );
    xgle_DrawLine ( x, 0, x, er->h );
    xgle_DrawLine ( 0, y, er->w, y );
    xgle_SetForeground ( xgec_Green, 255 );
    xgle_SetBackground ( 0, 0 );
    xgle_Choose12x6font ();
    sprintf ( s, "%5.3f", q.x );
    xx = er->w-strlen(s)*6;
    x = (short)(min ( x+2, xx ));
    xgle_DrawString ( s, x, er->h-4 );
    sprintf ( s, "%5.3f", q.y );
    y = (short)(max ( y, 12 ));
    xgle_DrawString ( s, 2, y );
  }
} /*xgle_2DwindDrawCursorPos*/

void xgle_2DwindDrawAxes ( xge_2Dwind *_2Dwin )
{
  xge_widget *er;
  point2d    p, q;

  er = _2Dwin->er;
  SetPoint2d ( &p, 0.0, 0.0 );
  CameraProjectPoint2d ( &_2Dwin->CPos, &p, &q );
  xgle_SetupXGLCoordinates ( er->w, er->h );
  xgle_SetForeground ( xgec_Blue3, 255 );
  if ( q.x >= er->x && q.x < er->x+er->w )
    xgle_DrawLine ( q.x-er->x, 0, q.x-er->x, er->h );
  if ( q.y >= er->y && q.y < er->y+er->h )
    xgle_DrawLine ( 0, q.y-er->y, er->w, q.y-er->y );
} /*xgle_2DwindDrawAxes*/

